---
title: "VendureEvent"
isDefaultIndex: false
generated: true
---
<!-- This file was generated from the Vendure source. Do not modify. Instead, re-run the "docs:build" script -->
import MemberInfo from '@site/src/components/MemberInfo';
import GenerationInfo from '@site/src/components/GenerationInfo';
import MemberDescription from '@site/src/components/MemberDescription';


## VendureEvent

<GenerationInfo sourceFile="packages/core/src/event-bus/vendure-event.ts" sourceLine="7" packageName="@vendure/core" />

The base class for all events used by the EventBus system.

```ts title="Signature"
class VendureEvent {
    public readonly createdAt: Date;
    constructor()
}
```

<div className="members-wrapper">

### createdAt

<MemberInfo kind="property" type={`Date`}   />


### constructor

<MemberInfo kind="method" type={`() => VendureEvent`}   />




</div>
